2009-03-02  Kevin Buettner  <kevinb@redhat.com>

	* itcl/Makefile.in (ITCL_CFLAGS): Renamed from CFLAGS.
	(COMPILE): Use ITCL_CFLAGS in addition to CFLAGS.
	* itk/Makefile.in (ITK_CFLAGS): Renamed from CFLAGS.
	(COMPILE): Use ITK_CFLAGS in addition to CFLAGS.

2008-08-02  Keith Seitz  <keiths@redhat.com>

	* itk/configure.ac: Add missing bits to actually fill in
	itkConfig.sh.
	* itk/itkConfig.sh.in: Rewrite substitution values so that
	this file looks more like itcl/itclConfig.sh.in.
	* itk/configure: Regenerated.

2008-07-23  Keith Seitz  <keiths@redhat.com>

	Import of Itcl 3.3.
	* itcl/configure.in, itk/configure.in, iwidgets/configure.in:
	Replace with configure.ac.
	* itcl/configure, itk/configure, iwidgets/configure: Regenerate.
	* configure.ac, Makefile.am, Makefile.in: New files.
	* README: "New" file.
	* aclocal.m4: Regenerate.
	* itcl/Makefile.in (RANLIB): Replace with RANLIB_LIB so
	that the toplevel build does not override this variable.
	* itk/Makefile.in (RANLIB): Likewise.
	* itcl/tclconfig/tcl.m4 (TEA_PATH_TCLCONFIG): Look for itclConfig.sh
	in the platform-specific location (unix or win).
	(TEA_PATH_TKCONFIG): Likewise.
	(TEA_MAKE_LIB): Even on windows, GCC libraries must start with "lib".
	* itk/tclconfig.m4: Copy of itcl/tcl.m4.
	* iwidgets/tcl.m4: Remove.
	* iwidgets/tclconfig: New directory.
	* iwidgets/tclconfig/tcl.m4, iwidgets/tclconfig/install-sh: Copies
	of itcl/tclconfig files.
	* iwidgets/Makefile.in (MKINSTALLDIRS): Use mkdir -p.
	* iwidgets/configure.ac (PACKAGE): Rename to PACKAGE_NAME.
	Call TEA_INIT, add AC_CONFIG_AUX_DIR and AC_PROG_INSTALL.
	Use TEA_* instead of SC_* macros.
	Search a few more directories for the itcl and itk libraries.

2006-06-16  Steve Ellcey  <sje@cup.hp.com>

	* configure.in: Fix for autoconf 2.5.
	* aclocal.m4: Fix for autoconf 2.5.
	* configure: Regenerate.
	* itcl/configure: Regenerate.
	* itcl/win/configure: Regenerate.
	* itk/configure: Regenerate.
	* itk/win/configure: Regenerate.
	* iwidgets/configure: Regenerate.

2005-08-31  Keith Seitz  <keiths@redhat.com>

	From Jay St. Pierre <Jay.St.Pierre@colorado.edu>:
	* itcl/Makefile.in (install-doc): Install man.macros properly into
	man pages when installing.
	* itk/Makefile.in (install-doc): Likewise.

2001-09-06  David Gravereaux <davygrvy@pobox.com>

	* itcl/generic/itcl_util.c: Threading patch from "Haneef Mohammed"
	<haneef@mindspringx.com>.
	[Patch: 445670]

	-=[ Incr Tcl/Tk 3.2.1 tagged as done. ]=-

2001-06-22  David Gravereaux <davygrvy@pobox.com>

	* tcl.m4: Added support for MacOS X [#435256]

	* itk/win/makefile.vc: fixed a bad macro use in the genstubs target.

	* itk/generic/itk_cmds.c: Added Itk_SafeInit().

	* itk/generic/itk.decls:
	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c: Needed to add Itk_SafeInit() to the Stubs table.
	Regen'd Stubs table.

2001-05-28  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* itcl/Makefile.in:
	* itk/Makefile.in:
	* iwidgets/Makefile.in: Fixed installation of manpages, added
	  invocations of "basename" to create the correct paths into the
	  installation directories. Fixes [#427118].

2001-05-25  davygrvy
	* ChangeLog (new):
		Auto-generated this from the output of `cvs log`.  This will be the
		day-to-day reference of per-commits.  CHANGES will now be the digest
		of the data in here.  Just like how Tcl does it.  Information from
		iwidgets was not used.

	* itk/generic/itk.h:
	* itk/generic/itkStubLib.c:
	* itk/generic/itk_cmds.c:
		added CONST to return type for Itk_InitStubs() to match what Kevin Kenny
		is doing to Tcl.  Along with a little lint cleaning regarding Stubs.

	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
		added CONST to return type for Itcl_InitStubs() to match what
		Kevin Kenny is doing to Tcl

2001-05-24  davygrvy
	* README.vc.txt:
		instructions how to use makefile.vc to build the package

	* itcl/configure:
	* itcl/configure.in:
	* itcl/itclConfig.sh.in:
	* itk/configure:
	* itk/configure.in:
	* itk/itkConfig.sh.in:
		Bug #427113

2001-05-23  davygrvy
	* itcl/win/makefile.vc:
		added missing quotes around include paths.

	* .cvsignore:
	* configure:
	* configure.in:
		changed configure.in to the new iwidgets subdir.  Removed the older
		references to iwidgets3.0.0 and iwidgets2.2.0

	* configure:
		this could be useful.

	* itcl/.cvsignore:
	* itcl/configure:
	* itcl/configure.in:
	* itk/.cvsignore:
	* itk/configure:
	* itk/configure.in:
		Updated patch level to 3.2.1 in prep for a release.

	* itcl/win/makefile.vc:
	* itcl/win/rc/itcl.rc:
		yet another rc problem repaired

	* itcl/win/makefile.vc:
		rc problem repaired

2001-05-22  davygrvy
	* itcl/generic/itcl_objects.c:
	* itcl/tests/interp.test:
		patch #426205, self deleting class caused core dump.

	* itk/generic/itk_archetype.c:
	* itk/generic/itk_cmds.c:
		Fix for Tcl_GetCommandName() now returning a CONST char *
		from the changes Kevin Kenny is doing to the HEAD tcl code.
		This hasn't been tested with older header files, yet.

	* config.vc:
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
	* itk/win/rc/itk.rc:
	* makefile.vc:
		makefile.vc actually works again.

	* itk/win/rc/cursor00.cur:
	* itk/win/rc/cursor02.cur:
	* itk/win/rc/cursor04.cur:
	* itk/win/rc/cursor06.cur:
	* itk/win/rc/cursor08.cur:
	* itk/win/rc/cursor0a.cur:
	* itk/win/rc/cursor0c.cur:
	* itk/win/rc/cursor0e.cur:
	* itk/win/rc/cursor10.cur:
	* itk/win/rc/cursor12.cur:
	* itk/win/rc/cursor14.cur:
	* itk/win/rc/cursor16.cur:
	* itk/win/rc/cursor18.cur:
	* itk/win/rc/cursor1a.cur:
	* itk/win/rc/cursor1c.cur:
	* itk/win/rc/cursor1e.cur:
	* itk/win/rc/cursor20.cur:
	* itk/win/rc/cursor22.cur:
	* itk/win/rc/cursor24.cur:
	* itk/win/rc/cursor26.cur:
	* itk/win/rc/cursor28.cur:
	* itk/win/rc/cursor2a.cur:
	* itk/win/rc/cursor2c.cur:
	* itk/win/rc/cursor2e.cur:
	* itk/win/rc/cursor30.cur:
	* itk/win/rc/cursor32.cur:
	* itk/win/rc/cursor34.cur:
	* itk/win/rc/cursor36.cur:
	* itk/win/rc/cursor38.cur:
	* itk/win/rc/cursor3a.cur:
	* itk/win/rc/cursor3c.cur:
	* itk/win/rc/cursor3e.cur:
	* itk/win/rc/cursor40.cur:
	* itk/win/rc/cursor42.cur:
	* itk/win/rc/cursor44.cur:
	* itk/win/rc/cursor46.cur:
	* itk/win/rc/cursor48.cur:
	* itk/win/rc/cursor4a.cur:
	* itk/win/rc/cursor4c.cur:
	* itk/win/rc/cursor4e.cur:
	* itk/win/rc/cursor50.cur:
	* itk/win/rc/cursor52.cur:
	* itk/win/rc/cursor54.cur:
	* itk/win/rc/cursor56.cur:
	* itk/win/rc/cursor58.cur:
	* itk/win/rc/cursor5a.cur:
	* itk/win/rc/cursor5c.cur:
	* itk/win/rc/cursor5e.cur:
	* itk/win/rc/cursor60.cur:
	* itk/win/rc/cursor62.cur:
	* itk/win/rc/cursor64.cur:
	* itk/win/rc/cursor66.cur:
	* itk/win/rc/cursor68.cur:
	* itk/win/rc/cursor6a.cur:
	* itk/win/rc/cursor6c.cur:
	* itk/win/rc/cursor6e.cur:
	* itk/win/rc/cursor70.cur:
	* itk/win/rc/cursor72.cur:
	* itk/win/rc/cursor74.cur:
	* itk/win/rc/cursor76.cur:
	* itk/win/rc/cursor78.cur:
	* itk/win/rc/cursor7a.cur:
	* itk/win/rc/cursor7c.cur:
	* itk/win/rc/cursor7e.cur:
	* itk/win/rc/cursor80.cur:
	* itk/win/rc/cursor82.cur:
	* itk/win/rc/cursor84.cur:
	* itk/win/rc/cursor86.cur:
	* itk/win/rc/cursor88.cur:
	* itk/win/rc/cursor8a.cur:
	* itk/win/rc/cursor8c.cur:
	* itk/win/rc/cursor8e.cur:
	* itk/win/rc/cursor90.cur:
	* itk/win/rc/cursor92.cur:
	* itk/win/rc/cursor94.cur:
	* itk/win/rc/cursor96.cur:
	* itk/win/rc/cursor98.cur:
	* itk/win/rc/itkwish.rc:
	* itk/win/winMain.c:
		Removing of old cruft.  itkwishXX.exe is no longer needed as itkXX.dll is a
		pure extension and loads in a vanilla wish just fine.

	* itcl/win/pkgIndex.tcl:
	* itk/win/pkgIndex.tcl:
		we'll auto gen these from the makefile

	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
		fixed include paths to make sure paths to itcl.h and itk.h in the source tree
		are mentioned first to avoid a possible bug during building.

	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
		patch #426203

	* itk/win/makefile.vc:
		Mostly working.  Not fully tested, but lots closer.

	* itk/win/makefile.vc:
		more closer, but not yet perfect.

	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_methods.c:
		Fix for Tcl_GetCommandName() now returning a CONST char *
		from the changes Kevein Kenny is doing to the HEAD tcl code.
		This hasn't been tested with older header files, yet.

	* itk/generic/itk_cmds.c:
		Removed old reference to external ItkStubs structure.
		Old cruft left from before Itk_InitStubs existed.

	* itcl/win/itcl.rc:
	* itcl/win/rc/itcl.rc:
		moving the resource script

	* itcl/win/rc/itcl.rc:
		subtle changes.

	* itcl/win/itclsh.rc:
	* itcl/win/tclAppInit.c:
		Removing of old cruft.  itclshXX.exe is no longer needed as itclXX.dll is a
		pure extension and loads in a vanilla shell just fine.

	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_util.c:
		removed #include "tclCompile.h"!
		It wasn't needed.  Those source files made no reference to anything in it.

	* itk/win/makefile.vc:
		closer to perfection.

	* itk/win/rc/itk.rc:
		This is now the resource script for the dll.

	* itcl/generic/itcl_methods.c:
		whoops.. doh!

	* itk/win/dllEntryPoint.c:
		Stubs bug logic fix.  Same as itcl/win/dllEntryPoint.c.  This help build a debug
		version of itcl/itk from the standard tclstubXX.lib by removing the link
		requirement to msvcrt.lib which should never have been there.

	* itcl/win/makefile.vc:
		adapted for new location of itcl.rc

	* itk/win/rc/itk.rc:
		subtle changes to infere the correct filename and support more
		complete versioning info.

	* itcl/generic/itcl.h:
	* itk/generic/itk.h:
		changed RESOURCE_INCLUDED to RC_INVOKED. The windows resource
		compiler to preset to define this already.

	* itcl/generic/itclInt.decls:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itcl_class.c:
		Fix for Itcl_ClassCmdResolver() not being of type Tcl_ResolveCmdProc with
		the CONST type added to param 2 in the lastest headers.  I haven't tested
		this with an older tcl.h yet.  Hopefully, this won't get messy.

	* itcl/win/makefile.vc:
		small $(RCDIR) change.

	* itcl/generic/itcl_bicmds.c:
		patch #426207, contextNs ptr can be NULL in Itcl_BiInfoClassCmd
		).

2001-05-18  andreas_kupries
	* itcl/generic/itcl_class.c:
		[Fix 227811] Check for any command with the given name, not only
		objects.

2001-05-17  andreas_kupries
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
		Fixed bug 227804.

2001-05-11  andreas_kupries
	* itk/generic/itk_archetype.c:
		2001-05-11  Andreas Kupries  <a.kupries@westend.com>
		
		* itk/generic/itk_archetype.c: Fixed bug 227876.

	* itcl/generic/itcl_objects.c:
		2001-05-11  Andreas Kupries  <a.kupries@westend.com>
		
		* itk/generic/itk_archetype.c: Fixed bug 227824 (and several duplicates).

	* itk/generic/itk_archetype.c:
		2001-05-11  Andreas Kupries  <a.kupries@westend.com>
		
		* itk/generic/itk_archetype.c: Fixed bug 227814

2001-04-25  davygrvy
	* pkg.vc:
		moved the info about the iwidget version for makefile.vc

2001-04-18  davygrvy
	* itcl/win/dllEntryPoint.c:
		whoops...  removed C++ style comment from this .c file :)

2001-04-14  davygrvy
	* itcl/library/itcl.tcl:
		Patch ID #227860

	* rules.vc:
		added an $Id$ keyword

	* .cvsignore:
		just testing loginfo mailing...

	* .cvsignore:
		only making a change to see the history file get an entry...

2001-04-12  davygrvy
	* itcl/win/makefile.vc:
		progress is happening

2001-04-08  davygrvy
	* itcl/win/.cvsignore:
	* itk/win/.cvsignore:
		no need to have CVS bother itself with the build directories

	* itcl/win/makefile.vc:
		a large rewrite

	* makefile.vc:
		todays work progress.  I'm not done yet.

	* itcl/generic/itcl_ensemble.c:
	* itcl/generic/itcl_util.c:
		Added mutex locking around the ItclPreservedList global hash table.  This
		appears to be the only work needed to support multithreading.

	* config.vc:
	* pkg.vc:
	* rules.vc:
		new build files for VC++ compiles

	* .cvsignore:
		ignore MSVC++ project artifacts

2001-04-07  davygrvy
	* itcl/win/dllEntryPoint.c:
		a small windows specific fix against Tcl's Stubs library.

	* itcl/generic/itclInt.h:
	* itcl/generic/itclStubLib.c:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_ensemble.c:
		4/07/01 (bug fix) <davygrvy@pobox.com>
		  Tcl's internal header, tclInt.h, in 8.4a2 got a small change in the Command
		  structure that needed 2 changes in Itcl to resolve.  1) #if/#else/#endif blocks
		  added in itcl_class.c and itc_ensemble.c allowing Itcl to compile. 2) added
		  a global variable called itclCompatFlags that's sets a flag in Itcl_Init()
		  that will modify the logic around access to cmdPtr->flags/deleted.  This
		  way, any core compile will yeild a fully forward/backward compatible
		  binary (correct logic set at runtime).

2000-12-21  smithc
	* itk/win/makefile.vc:
		Patch #102914.

2000-12-12  smithc
	* itcl/generic/itcl_ensemble.c:
		Patch #102774

	* itcl/generic/itcl_class.c:
		Patch #100274

2000-09-23  davidg
	* CHANGES:
		added a note about the 3.2 release

	* itcl/generic/itcl.h:
		9/22/00 (stubs cleanup) <davygrvy@ajubasolutions.com>
		  Itcl_InitStub prototype in itcl/generic/itcl.h was getting name mangled
		  by c++ compilers.  Fixed with an 'extern "C"' appropriately applied.

2000-08-18  davidg
	* itcl/generic/itcl_cmds.c:
		Tcl_InitStubs was using the TCL_VERSION macro set by the tcl.h header.
		Changed it to be "8.1" instead as it doesn't matter unless Itcl needs
		special/new features of the core it's header is from.  But it doesn't..  so hard
		code it for an 8.1 minimum.

2000-08-07  welch
	* itcl/Makefile.in:
	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
		Final iteration, really, on getting Itcl_StubInit correctly set
		up.

	* itk/generic/itk_cmds.c:
		Removed redundant definitions of itclStubsPtr and
		itclIntStubsPtr.

	* itcl/Makefile.in:
		Added Itcl_InitStubs to the main Itcl library as well as the stubs
		library for those applications (like Itk) that call Itcl_InitStub
		but are linked against the main library.

	* CHANGES:
	* CHANGES:
		*** empty log message ***

2000-08-04  davidg
	* itcl/generic/itcl.decls:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itclStubInit.c:
	* itk/generic/itk.decls:
	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c:
	* itk/generic/itkStubLib.c:
		added missing RCS $Id$ strings

	* itcl/generic/itcl.h:
	* itcl/generic/itclStubLib.c:
	* itk/generic/itk.h:
	* itk/generic/itkStubLib.c:
		yanked ugly linkage cruft from the StubLib functions.  It's
		always static.

2000-08-02  davidg
	* itk/generic/itk_cmds.c:
		simplified how Itcl Stubs are set

	* itcl/generic/itcl.h:
	* itk/generic/itk.h:
		added missing Itcl_InitStubs and Itk_InitStubs declarations.

2000-08-02  welch
	* itk/generic/itkStubLib.c:
		Fixed this new function

	* itcl/Makefile.in:
	* itk/Makefile.in:
		Changed this to use installFiles.tcl instead of install-sh

	* itcl/generic/itclStubLib.c:
		Fix for new Itcl_InitStubs.c

	* config/installFile.tcl:
		Added a Tcl version of install-sh that avoids copying a file if
		the target has the same size and date stamp as the source file already.
		This helps parallel builds on different platforms avoid changing
		files out from one another.

	* CHANGES:
		*** empty log message ***

2000-07-29  welch
	* itcl/configure:
	* itk/configure:
		Ran autoconf

	* tcl.m4:
		Fixed this with respect to recent changes in windows def of TCL_SRC_DIR

2000-07-23  wart
	* itcl/Makefile.in:
	* itk/Makefile.in:
		Use INSTALL_PROGRAM instead of INSTALL_DATA to install libraries so
		they get execute permission on HPUX

2000-07-14  welch
	* itcl/configure:
	* itk/configure:
		Updated configure

	* config/install-sh:
		Nuked debug echo statement

2000-07-12  welch
	* config/install-sh:
		Added -f to MV command

	* CHANGES:
	* Makefile.in:
		Added some feedback to the top-level makefile loops

	* itcl/configure.in:
	* itk/Makefile.in:
	* itk/configure.in:
		Disable stubs in the case of static builds.

2000-07-07  csmith
	* itcl/tests/info.test:
		patch submitted by David Cuthbert, 7/7/00

	* itcl/generic/itcl_bicmds.c:
		patch submitted by David Cuthbert, 7/7/00 to fix segfault caused by the
		following code:
		
		    itcl::class X { }
		    namespace eval X { info class }

2000-07-06  mmc
	* Makefile.in:
	* README:
		
		Touched up README for itcl3.2 release.  Fixed master Makefile to
		avoid testing iwidgets2.2.0, which is an older release provided
		only for backward-compatibility.  Bug fixes and improvements are
		made and tested in the newer iwidgets3.0.0 release.

	* CHANGES:
	* itcl/generic/itcl.h:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_objects.c:
	* itcl/tests/all:
	* itcl/tests/all.tcl:
	* itcl/tests/basic.test:
	* itcl/tests/defs:
	* itcl/tests/inherit.test:
	* itcl/tests/methods.test:
	* itcl/tests/namespace.test:
	* itcl/unix/Makefile.in:
	* itcl/unix/configure.in:
	* itcl/unix/itclConfig.sh.in:
	* itcl/unix/pkgIndex.tcl.in:
	* itcl/unix/test.tcl:
	* itk/Makefile.in:
	* itk/generic/itk_archetype.c:
	* itk/library/itk.tcl:
	* itk/tests/all:
	* itk/tests/all.tcl:
	* itk/tests/defs:
	* itk/tests/widget.test:
	* itk/unix/Makefile.in:
	* itk/unix/configure.in:
	* itk/unix/itkConfig.sh:
	* itk/unix/itkConfig.sh.in:
	* itk/unix/pkgIndex.tcl.in:
		
		6/26/00 (bug fix)
		  Fixed Itcl_ClassVarResolver so that the formal parameters in a
		  method/proc take precedence over class data members.
		
		6/30/00 (bug fix)
		  Fixed all itcl/itk/iwidgets3.0.0 tests to run cleanly with the new
		  tcltest package.
		
		7/1/00 (bug fix)
		  Fixed "itk_component delete" so that the composite option list is
		  cleaned up whenever a component is deleted.  For example, suppose
		  a component is the sole contributor of -font.  When that component
		  is removed via "itk_component delete", the -font option goes away
		  as well.  Also fixed the handling of the itk-delete-* binding for
		  the component.  When the component is removed, the binding tag
		  is also removed by itk::remove_destroy_hook.
		
		7/5/00 (bug fix)
		  Fixed the check done during object creation to avoid clobbering
		  existing commands.  Previously, itcl would look for any command--
		  in the local *and* global namespace--that might be clobbered.
		  Now, it looks for commands only in the local namespace, since
		  those are the only ones that could truly be clobbered.
		
		7/5/00 (cleanup)
		  Removed obsolete Makefile/configure files in the various "unix"
		  directories.  Makefiles and configure files now reside one level
		  above, in the standard TEA place.

2000-06-22  wart
	* itcl/Makefile.in:
		Added itclDecls.h to list of header files to install.

2000-06-22  welch
	* itk/Makefile.in:
		Installing stub table tkDecls.h

	* itcl/Makefile.in:
		Installing all header files, not just public ones.

2000-06-16  matt
	* itcl/generic/itcl_util.c:
		Moved #ifndef NDEBUG inside Itcl_Assert routine otherwise it may not get inclued
		BUT it is specified in the Stubs Table.....

2000-06-06  wart
	* itk/tests/all.tcl:
		Added missing file for running test suite.

	* itcl/tests/all.tcl:
		Added missing file for running test suite

2000-06-01  wart
	* itcl/Makefile.in:
	* itcl/tests/basic.test:
	* itcl/tests/body.test:
	* itcl/tests/chain.test:
	* itcl/tests/delete.test:
	* itcl/tests/ensemble.test:
	* itcl/tests/import.test:
	* itcl/tests/info.test:
	* itcl/tests/inherit.test:
	* itcl/tests/interp.test:
	* itcl/tests/local.test:
	* itcl/tests/methods.test:
	* itcl/tests/mkindex.test:
	* itcl/tests/namespace.test:
	* itcl/tests/protection.test:
	* itcl/tests/scope.test:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/tests/interp.test:
	* itk/tests/option.test:
	* itk/tests/privacy.test:
	* itk/tests/public.test:
	* itk/tests/toplevel.test:
	* itk/tests/widget.test:
		Tests modified to work with TEA Makefile.

2000-04-19  mmc
	* CHANGES:
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/doc/find.n:
	* itcl/generic/itcl.h:
	* itcl/generic/itcl_cmds.c:
	* itcl/tests/basic.test:
	* itcl/tests/body.test:
	* itcl/tests/chain.test:
	* itcl/tests/defs:
	* itcl/tests/delete.test:
	* itcl/tests/ensemble.test:
	* itcl/tests/info.test:
	* itcl/tests/inherit.test:
	* itcl/tests/local.test:
	* itcl/tests/methods.test:
	* itcl/tests/mkindex.itcl:
	* itcl/tests/namespace.test:
	* itcl/tests/protection.test:
	* itcl/tests/scope.test:
	* itcl/tests/tclIndex:
	* itcl/unix/configure.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/tests/defs:
	* itk/tests/option.test:
	* itk/tests/widget.test:
	* license.terms:
		
		- fixed itcl::find to find classes/objects in *all* namespaces
		- fixed tests to run cleanly

2000-03-28  csmith
	* itcl/generic/itcl_cmds.c:
		Patch for Ticket 4111, submitted by David Cuthbert:
		
		*** itcl3.1.0/itcl/generic/itcl_cmds.c.orig     Tue Feb  1 16:37:53 2000
		--- itcl3.1.0/itcl/generic/itcl_cmds.c.new      Tue Feb  1
		16:38:06 2000
		            ***************
		            *** 94,100 ****
		              static char safeInitScript[] =
		              "proc ::itcl::local {class name args} {\n\
		            !     set ptr [uplevel eval [list $class $name] $args]\n\
		                  uplevel [list set itcl-local-$ptr $ptr]\n\
		                  set cmd [uplevel namespace which -command $ptr]\n\
		                  uplevel [list trace variable itcl-local-$ptr u \"::itcl::delete object $cmd; list\"]\n\
		
		            --- 94,100 ----
		              static char safeInitScript[] =
		              "proc ::itcl::local {class name args} {\n\
		            !     set ptr [uplevel [list $class $name] $args]\n\
		                  uplevel [list set itcl-local-$ptr $ptr]\n\
		                  set cmd [uplevel namespace which -command $ptr]\n\
		                  uplevel [list trace variable itcl-local-$ptr u \"::itcl::delete object $cmd; list\"]\n\

	* itcl/library/itcl.tcl:
		Patch for ticket 4111, submitted by David Cuthbert:
		
		*** itcl3.1.0/itcl/library/itcl.tcl.orig        Tue Feb  1 16:38:24 2000
		--- itcl3.1.0/itcl/library/itcl.tcl.new Tue Feb  1 16:38:30 2000
		            ***************
		            *** 27,33 ****
		              #  alive until a procedure exits.
		              # ----------------------------------------------------------------------
		              proc ::itcl::local {class name args} {
		            !     set ptr [uplevel eval [list $class $name] $args]
		                  uplevel [list set itcl-local-$ptr $ptr]
		                  set cmd [uplevel namespace which -command $ptr]
		                  uplevel [list trace variable itcl-local-$ptr u \
		
		            --- 27,33 ----
		              #  alive until a procedure exits.
		              # ----------------------------------------------------------------------
		              proc ::itcl::local {class name args} {
		            !     set ptr [uplevel [list $class $name] $args]
		                  uplevel [list set itcl-local-$ptr $ptr]
		                  set cmd [uplevel namespace which -command $ptr]
		                  uplevel [list trace variable itcl-local-$ptr u \

2000-03-20  wart
	* itk/configure:
	* itk/configure.in:
		Fixed typo in variable name

2000-03-17  wart
	* itcl/Makefile.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
		Added TCL_EXTRA_CFLAGS to compile line to fix build problems on Irix

2000-02-04  wart
	* itk/configure:
	* itk/configure.in:
		Fixed typo that was causing builds on CYGWIN_NT platforms not to pick up
		the Tcl stub library (TCL_STUB_LIB_SPEC was not being substituted in the
		Makefile)

2000-01-28  wart
	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
		Fixed a few more places where the configure wasn't checking for cygwin on
		Windows 95/98

2000-01-24  wart
	* itcl/configure:
	* itk/configure:
		Regenerated configure scripts to pick up changes to tcl.m4

	* itcl/configure:
	* itk/configure:
		Regenerated configure scripts to pick up recent changes to tcl.m4

	* tcl.m4:
	* tcl.m4:
		Updated to reflect recent TEA changes

2000-01-18  wart
	* tcl.m4:
		Updated to reflect recent TEA changes

2000-01-03  csmith
	* itcl/unix/Makefile.in:
		Patch submitted by Mo Dejong needed so Itcl will link to the Tcl libs
		when Tcl is compiled with debugging on.

	* itcl/generic/itcl_parse.c:
		Patch by Mo Dejong to fix a Windows NT/95 crashing problem where you can
		build with debugging on, load the Itcl package, and press the X in the
		upper right corner.  Note that I'm unable to test this on Windows and
		that this patch introduces a compiler warning.

	* itcl/generic/itcl_parse.c:
		Duuuuhhhh....
		
		This is the patch from Mo Dejong regarding the Windows NT/95 crashing
		problem.  My previous checkin of itcl_parse.c did not include all of
		the patch - got in a hurry.  Disregard the compiler warning mentioned
		in my previous checkin.

	* itcl/tests/defs:
		Patch submitted by Mo Dejong: needed to add "-force" option to the
		namespace import command so fix a bug with 'make test'.

	* itcl/generic/itcl_parse.c:
		*** empty log message ***

1999-11-24  wart
	* itcl/configure:
	* itk/configure:
		regenerated configure scripts to pick up tcl.m4 changes

	* itcl/configure:
	* itk/configure:
	* tcl.m4:
		tcl.m4:  Updated to reflect recent TEA changes
		
		*/configure:  Regnereated with new tcl.m4
		
		iwidgets2.2.0/Makefile.in:  Don't copy nonexistent files

	* tcl.m4:
		Updated to reflect recent TEA changes

1999-09-21  wart
	* itk/Makefile.in:
		Itk now installs appropriate library files.

1999-09-20  wart
	* itcl/configure:
	* itcl/configure.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
		pkgIndex on Windows now looks in the correct directory for the
		.dll files.

1999-09-17  wart
	* tcl.m4:
		Updated to reflect recent changes

1999-09-15  wart
	* itcl/configure:
	* itcl/configure.in:
	* itcl/pkgIndex.tcl.in:
	* itk/configure:
	* itk/configure.in:
	* itk/pkgIndex.tcl.in:
		Better pkgIndex.tcl files that should now work on solaris.

1999-09-14  wart
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/mkIndex.tcl.in:
	* itcl/pkgIndex.tcl.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
	* itk/mkIndex.tcl.in:
	* itk/pkgIndex.tcl.in:
		Fixed installation of pkgIndex.tcl file.  We have to install a pre-made
		pkgIndex.tcl file since pkg_mkIndex can't seem to make a usable one.

1999-09-10  wart
	* itk/Makefile.in:
		Fixed bug when calling mkIndex.tcl for itk
		
		reduced amount of output from "make install" in iwidgets

	* itcl/Makefile.in:
	* itk/Makefile.in:
		Removed Makefiles rules to regenerate the configure scripts.  This was
		causing problems when building on Windows and Unix simultaneoulsy.

1999-09-09  wart
	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
		configure scripts now look for tclsh82d.exe executable when searching
		for valid tcl interpreter.

	* Makefile.in:
		Added pkgIndex files for Iwidgets
		
		Top level Makefile should no longer loop endlessly if the configure went bad.

	* itcl/configure:
	* itcl/configure.in:
	* itk/configure:
	* itk/configure.in:
	* tcl.m4:
		Look for tclsh82d.exe before tclsh82.exe.
		
		configure scripts for itcl and itk now use the tcl.m4 macro SC_PROG_TCLSH.

1999-09-07  wart
	* itcl/Makefile.in:
	* itcl/configure:
	* itcl/configure.in:
	* itk/Makefile.in:
	* itk/configure:
	* itk/configure.in:
		configure now searches for tclsh82 shell in exec-prefix, then prefix, then
		relative to tclConfig.sh, then in the users path.

1999-09-04  wart
	* configure.in:
	* itcl/Makefile.in:
	* itcl/aclocal.m4:
	* itcl/configure:
	* itcl/configure.in:
	* itcl/mkIndex.tcl.in:
	* itk/Makefile.in:
	* itk/aclocal.m4:
	* itk/configure:
	* itk/configure.in:
	* itk/mkIndex.tcl.in:
	* tcl.m4:
		TEA changes.  Itcl now uses the same Makefiles and configure scripts for
		both Windows and Unix.
		
		Note that static shells are not yet done in this TEA implementation.

	* itcl/Makefile.in:
	* itk/Makefile.in:
		Temporarily removed pkg_mkIndex step from Makefile since it causes a
		crash on Windows.

1999-08-21  matt
	* itcl/unix/Makefile.in:
		Fixed mismatch between configure script and makefile for stub
		enabled builds

	* itk/unix/Makefile.in:
		Fixed mismatch between conifgure script and Makefile for stub
		enabled builds.

1999-06-28  hershey
	* itk/unix/configure.in:
	* itk/unix/itkConfig.sh:
		remove version number from comments

1999-06-26  wart
	* itcl/mac/itclMacLibrary.r:
	* itcl/mac/pkgIndex.tcl:
	* itcl/unix/configure.in:
	* itk/mac/itkMacLibrary.r:
	* itk/mac/pkgIndex.tcl:
	* itk/unix/configure.in:
	* itk/win/pkgIndex.tcl:
		Version numbers changed from 3.0.1 to 3.1.0

1999-05-25  redman
	* itcl/generic/itcl.h:
	* itcl/win/makefile.vc:
	* itk/win/makefile.vc:
	* itk/win/winMain.c:
	* makefile.vc:
		Fixed the use of Tcl & Tk stubs on Windows.
		
		Now the extra shells (itclsh31.exe and itkwish31.exe) are being
		created and run properly.

	* itcl/generic/itcl_cmds.c:
	* itcl/unix/Makefile.in:
	* itcl/unix/configure.in:
	* itcl/unix/itclConfig.sh.in:
	* itk/generic/itk_cmds.c:
	* itk/unix/Makefile.in:
	* itk/unix/configure.in:
	* itk/unix/itkConfig.sh:
	* itk/unix/itkConfig.sh.in:
		Fix the makefile and configure files, etc., for Unix
		in order to compile with Tcl/Tk 8.1 with stubs.
		
		Builds itclsh and itkwish properly.

1999-05-24  redman
	* itcl/generic/itcl.decls:
	* itcl/generic/itcl.h:
	* itcl/generic/itclDecls.h:
	* itcl/generic/itclInt.decls:
	* itcl/generic/itclInt.h:
	* itcl/generic/itclIntDecls.h:
	* itcl/generic/itclStubInit.c:
	* itcl/generic/itclStubLib.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_ensemble.c:
	* itcl/tests/defs:
	* itcl/tests/tclIndex:
	* itcl/win/itcl.rc:
	* itcl/win/makefile.vc:
	* itcl/win/pkgIndex.tcl:
	* itk/generic/itk.decls:
	* itk/generic/itk.h:
	* itk/generic/itkDecls.h:
	* itk/generic/itkStubInit.c:
	* itk/generic/itkStubLib.c:
	* itk/generic/itk_cmds.c:
	* itk/win/makefile.vc:
	* itk/win/rc/itk.rc:
	* makefile.vc:
		Applied patches from David Gravereaux to update Itcl and Itk to
		use Tcl/Tk 8.1 stubs and provide it's own stubs interface, on
		Windows only.
		
		Changes have not been made to support I18N (if needed) or MT-safety.
		
		Version number has been changed to 3.1.0 (from 3.0.1) by
		David to coincide with the shift to Tcl/Tk 8.1.
		
		Building of itclsh31.exe and iwish31.exe have been disabled
		until someone else makes them work properly.  Test suites
		have been modified to work with tclsh81.exe instead.

1999-02-05  stanton
	* itk/unix/itkConfig.sh:
		updated version to itcl3.0.1

1999-01-15  rjohnson
	* itcl/tests/mkindex.itcl:
		
		Fixed typo in tcl file.

1998-10-29  stanton
	* itcl/doc/itcl_info.n:
		Cleaned up some out of date references to 2.2 syntax.

1998-09-14  stanton
	* itk/win/rc/cursor00.cur:
	* itk/win/rc/cursor02.cur:
	* itk/win/rc/cursor04.cur:
	* itk/win/rc/cursor06.cur:
	* itk/win/rc/cursor08.cur:
	* itk/win/rc/cursor0a.cur:
	* itk/win/rc/cursor0c.cur:
	* itk/win/rc/cursor0e.cur:
	* itk/win/rc/cursor10.cur:
	* itk/win/rc/cursor12.cur:
	* itk/win/rc/cursor14.cur:
	* itk/win/rc/cursor16.cur:
	* itk/win/rc/cursor18.cur:
	* itk/win/rc/cursor1a.cur:
	* itk/win/rc/cursor1c.cur:
	* itk/win/rc/cursor1e.cur:
	* itk/win/rc/cursor20.cur:
	* itk/win/rc/cursor22.cur:
	* itk/win/rc/cursor24.cur:
	* itk/win/rc/cursor26.cur:
	* itk/win/rc/cursor28.cur:
	* itk/win/rc/cursor2a.cur:
	* itk/win/rc/cursor2c.cur:
	* itk/win/rc/cursor2e.cur:
	* itk/win/rc/cursor30.cur:
	* itk/win/rc/cursor32.cur:
	* itk/win/rc/cursor34.cur:
	* itk/win/rc/cursor36.cur:
	* itk/win/rc/cursor38.cur:
	* itk/win/rc/cursor3a.cur:
	* itk/win/rc/cursor3c.cur:
	* itk/win/rc/cursor3e.cur:
	* itk/win/rc/cursor40.cur:
	* itk/win/rc/cursor42.cur:
	* itk/win/rc/cursor44.cur:
	* itk/win/rc/cursor46.cur:
	* itk/win/rc/cursor48.cur:
	* itk/win/rc/cursor4a.cur:
	* itk/win/rc/cursor4c.cur:
	* itk/win/rc/cursor4e.cur:
	* itk/win/rc/cursor50.cur:
	* itk/win/rc/cursor52.cur:
	* itk/win/rc/cursor54.cur:
	* itk/win/rc/cursor56.cur:
	* itk/win/rc/cursor58.cur:
	* itk/win/rc/cursor5a.cur:
	* itk/win/rc/cursor5c.cur:
	* itk/win/rc/cursor5e.cur:
	* itk/win/rc/cursor60.cur:
	* itk/win/rc/cursor62.cur:
	* itk/win/rc/cursor64.cur:
	* itk/win/rc/cursor66.cur:
	* itk/win/rc/cursor68.cur:
	* itk/win/rc/cursor6a.cur:
	* itk/win/rc/cursor6c.cur:
	* itk/win/rc/cursor6e.cur:
	* itk/win/rc/cursor70.cur:
	* itk/win/rc/cursor72.cur:
	* itk/win/rc/cursor74.cur:
	* itk/win/rc/cursor76.cur:
	* itk/win/rc/cursor78.cur:
	* itk/win/rc/cursor7a.cur:
	* itk/win/rc/cursor7c.cur:
	* itk/win/rc/cursor7e.cur:
	* itk/win/rc/cursor80.cur:
	* itk/win/rc/cursor82.cur:
	* itk/win/rc/cursor84.cur:
	* itk/win/rc/cursor86.cur:
	* itk/win/rc/cursor88.cur:
	* itk/win/rc/cursor8a.cur:
	* itk/win/rc/cursor8c.cur:
	* itk/win/rc/cursor8e.cur:
	* itk/win/rc/cursor90.cur:
	* itk/win/rc/cursor92.cur:
	* itk/win/rc/cursor94.cur:
	* itk/win/rc/cursor96.cur:
	* itk/win/rc/cursor98.cur:
	* itk/win/rc/itk.ico:
		Fixed binary files

1998-09-08  stanton
	* CHANGES:
		*** empty log message ***

1998-09-03  stanton
	* CHANGES:
	* README:
		more changes

	* CHANGES:
	* Makefile.in:
		changes

	* Makefile.in:
	* Makefile.in:
	* Makefile.in:
	* Makefile.in:
	* Makefile.in:
	* Makefile.in:
	* Makefile.in:
		*** empty log message ***

	* Makefile.in:
		nothing

	* CHANGES:
	* Makefile.in:
		changed back

1998-08-23  stanton
	* itcl/doc/scope.n:
		fixed section

1998-08-20  welch
	* itcl/generic/itcl.h:
		Patchlevel 3.0.1

1998-08-18  welch
	* itk/win/pkgIndex.tcl:
		Fixed loading .dll

	* itcl/win/pkgIndex.tcl:
		fixed loading .dll

	* CHANGES:
		*** empty log message ***

1998-08-18  suresh
	* itk/generic/itk_cmds.c:
		Removed pedantic check for existance of "::itk" namespace.  Changed code to
		  conditionally create the "::itk" namespace based on whether it already exists
		  or not.  These changes were necessary to facilitate the wrapper dictating
		  where the [incr Tk] libraries are stored in a wrapped application via the
		  variable '::itk::library".

1998-08-12  welch
	* itk/win/makefile.bc:
	* itk/win/makefile.vc:
		Fixes for tkConsole

1998-08-11  welch
	* CHANGES:
	* README:
	* itcl/doc/class.n:
	* itcl/doc/scope.n:
	* itcl/generic/itcl.h:
	* itcl/generic/itclInt.h:
	* itcl/generic/itcl_bicmds.c:
	* itcl/generic/itcl_class.c:
	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_methods.c:
	* itcl/generic/itcl_objects.c:
	* itcl/library/itcl.tcl:
	* itcl/mac/itclMacApplication.r:
	* itcl/mac/itclMacLibrary.r:
	* itcl/mac/itclMacResource.r:
	* itcl/mac/pkgIndex.tcl:
	* itcl/mac/tclMacAppInit.c:
	* itcl/tests/info.test:
	* itcl/unix/Makefile.in:
	* itcl/unix/configure.in:
	* itcl/unix/tclAppInit.c:
	* itcl/win/itcl.rc:
	* itcl/win/itclsh.rc:
	* itcl/win/makefile.vc:
	* itcl/win/pkgIndex.tcl:
	* itcl/win/tclAppInit.c:
	* itk/doc/Toplevel.n:
	* itk/generic/itk.h:
	* itk/generic/itk_cmds.c:
	* itk/mac/MW_ItkHeader.pch:
	* itk/mac/itkMacApplication.r:
	* itk/mac/itkMacLibrary.r:
	* itk/mac/itkMacResource.r:
	* itk/mac/pkgIndex.tcl:
	* itk/mac/tclIndex:
	* itk/mac/tkMacAppInit.c:
	* itk/unix/Makefile.in:
	* itk/unix/configure.in:
	* itk/unix/tkAppInit.c:
	* itk/win/makefile.vc:
	* itk/win/pkgIndex.tcl:
	* itk/win/rc/itk.rc:
	* itk/win/rc/itkwish.rc:
	* itk/win/winMain.c:
	* makefile.vc:
		3.0 final from Michael

1998-08-07  stanton
	* itcl/generic/itcl_methods.c:
		changed to reflect new CompiledLocal structure
		changed to reflect changes in resolver api
		changed to use TclInitCompiledLocals interface

	* itcl/generic/itclInt.h:
		changed to reflect new resolver api

	* itcl/generic/itcl_bicmds.c:
	* itcl/generic/itcl_ensemble.c:
		changed to reflect new CompiledLocal structure

	* itcl/generic/itcl_class.c:
		changed to reflect changes in resolver api

	* itcl/doc/scope.n:
		fixed section name

	* itcl/doc/scope.n:
		*** empty log message ***

	* itcl/generic/itcl_cmds.c:
	* itcl/generic/itcl_util.c:
	* itk/doc/Toplevel.n:
		lint

1998-08-04  escoffon
	* itcl/generic/itcl.h:
	* itcl/generic/itclInt.h:
	* itk/generic/itk.h:
		EXPORT is now TCL_STORAGE_CLASS

1998-07-29  escoffon
	* itcl/generic/itcl.h:
		 added setting of EXPORT to DLLEXPORT if we are building the
		itcl lib.

	* itk/generic/itk.h:
		- dropped the EXPORT macro, it is now part of EXTERN
		- added setting of EXPORT to DLLEXPORT if we are building the itk lib.

	* itcl/generic/itclInt.h:
		- added setting of EXPORT to DLLEXPORT if we are building the itcl lib.
		- use EXTERN instead of extern for Itcl_Assert

1998-07-28  stanton
	* itcl/generic/itcl_cmds.c:
	* itk/generic/itk_cmds.c:
		changed search order

